=== debian/changelog ===
ktrip (23.01.0-1) unstable; urgency=medium

  * New upstream release
  * Added new upstream signing key
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sun, 05 Feb 2023 14:30:22 +0100

ktrip (22.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - explicitly add gettext
    - remove unused: libkf5contacts-dev, libqt5svg5-dev, libssl-dev,
      qml-module-org-kde-kirigami-addons-datetime, and
      qml-module-org-kde-kitemmodels

 -- Pino Toscano <pino@debian.org>  Fri, 16 Dec 2022 22:53:51 +0100

ktrip (22.09-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Fix Maintainer to be the canonical one.
  * Add myself to Uploaders.

 -- Sandro Knauß <hefee@debian.org>  Tue, 15 Nov 2022 22:47:32 +0100

ktrip (22.09-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (22.09).
  * Update build-deps and deps with the info from cmake.
  * update copyright for 22.09.

 -- Sandro Knauß <hefee@debian.org>  Sat, 22 Oct 2022 03:05:22 +0200

ktrip (22.06-1) unstable; urgency=medium

  * Team upload.

  [ Matthias Geiger ]
  * Initial release (Closes: #1012085)

 -- Sandro Knauß <hefee@debian.org>  Wed, 29 Jun 2022 18:42:29 +0200
