=== debian/control ===
Source: ktrip
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>,
           Sandro Knauß <hefee@debian.org>
Build-Depends: appstream,
               cmake (>= 3.16),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.88.0~),
               gettext,
               kirigami2-dev (>= 5.88.0~),
               libkf5config-dev (>= 5.88.0~),
               libkf5coreaddons-dev (>= 5.88.0~),
               libkf5i18n-dev (>= 5.88.0~),
               libkf5itemmodels-dev (>= 5.88.0~),
               libkf5qqc2desktopstyle-dev (>= 5.88.0~),
               libkpublictransport-dev (>= 21.12.3),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~),
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/utilities/ktrip
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktrip
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktrip.git
Rules-Requires-Root: no

Package: ktrip
Architecture: any
Depends: qml-module-org-kde-i18n-localedata (>= 5.60),
         qml-module-org-kde-kirigami-addons-datetime (>= 0.2),
         qml-module-org-kde-kpublictransport (>= 21.12.3),
         ${misc:Depends},
         ${shlibs:Depends}
Description: public transport assistant
 It helps you navigate in public transport. It allows you to find journeys
 between specified locations, departures for a specific station and shows
 real-time delay and disruption information.
