=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma-mobile/([\d.]+)/ktrip-([\d.]+)\.tar\.xz
