=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ktrip
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>,
            Sandro Knauß <hefee@debian.org>
 Build-Depends: appstream,
@@ -16,15 +17,15 @@
                libkf5i18n-dev (>= 5.88.0~),
                libkf5itemmodels-dev (>= 5.88.0~),
                libkf5qqc2desktopstyle-dev (>= 5.88.0~),
-               libkpublictransport-dev (>= 21.12.3),
+               libkpublictransport-dev (>= 23.08.0~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
                qtquickcontrols2-5-dev (>= 5.15.0~),
-               zlib1g-dev
+               zlib1g-dev,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/utilities/ktrip
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktrip
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktrip.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktrip
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktrip
 Rules-Requires-Root: no
 
 Package: ktrip
