=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf5i18n-dev (>= 5.88.0~),
                libkf5itemmodels-dev (>= 5.88.0~),
                libkf5qqc2desktopstyle-dev (>= 5.88.0~),
-               libkpublictransport-dev (>= 23.08.1~),
+               libkpublictransport-dev (>= 23.08.4~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
                qtquickcontrols2-5-dev (>= 5.15.0~),
