## ktrip 24.08.2

=== debian/changelog ===
ktrip (24.08.2-3ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 18:00:06 -0500

ktrip (24.08.2-3) experimental; urgency=medium

  * Add qmldeps.overrides for included qml modules in binary.

 -- Sandro Knauß <hefee@debian.org>  Mon, 14 Oct 2024 00:30:41 +0200

ktrip (24.08.2-2) experimental; urgency=medium

  * tight libkpublictransport-dev dependency for experimental build.

 -- Sandro Knauß <hefee@debian.org>  Sun, 13 Oct 2024 22:25:46 +0200

ktrip (24.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (24.08.2).
  * Switch to dh_qmldeps.
  * Remove QML dependencies that are shipped via dev packages.

 -- Sandro Knauß <hefee@debian.org>  Sun, 13 Oct 2024 00:18:57 +0200

ktrip (24.08.1-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * d/watch: ktrip is now part of KDE Gear.
  * New upstream release (24.08.1).
  * Update build-deps and deps with the info from cmake.
  * switch to Qt6 build.
  * update copyright.

 -- Sandro Knauß <hefee@debian.org>  Fri, 04 Oct 2024 00:16:26 +0200
