=== debian/control ===
Source: ktrip
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: appstream,
               cmake (>= 3.16),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               kirigami-addons-dev (>= 0.11.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6qqc2desktopstyle-dev (>= 5.240.0~),
               libkirigami-dev (>= 5.240.0~),
               libkpublictransport-dev (>= 24.08.0),
               qml6-module-org-kde-i18n-localedata,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/utilities/ktrip
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktrip
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktrip
Rules-Requires-Root: no

Package: ktrip
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: public transport assistant
 It helps you navigate in public transport. It allows you to find journeys
 between specified locations, departures for a specific station and shows
 real-time delay and disruption information.
