## ktrip 24.12.0

=== debian/changelog ===
ktrip (24.12.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 19 Dec 2024 00:13:41 +0100

ktrip (24.12.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.
  * dev packages install qml modules, no need to name them in B-D
    anymore.

 -- Sandro Knauß <hefee@debian.org>  Thu, 19 Dec 2024 00:13:00 +0100
