=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ktrip
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: appstream,
@@ -18,7 +19,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6qqc2desktopstyle-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkpublictransport-dev (>= 24.12),
+               libkpublictransport-dev (>= 24.12.3~),
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-declarative-private-dev,
@@ -26,8 +27,8 @@
                zlib1g-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/utilities/ktrip
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktrip
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktrip.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktrip
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktrip
 Rules-Requires-Root: no
 
 Package: ktrip
