=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6qqc2desktopstyle-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkpublictransport-dev (>= 25.04.2~),
+               libkpublictransport-dev (>= 25.04.3~),
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-declarative-private-dev,
