## ktrip 25.07.80

=== debian/changelog ===
ktrip (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Disable tests at build time.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:44:11 +0100
