=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_test(NAME ktrip-self-test COMMAND ktrip --self-test)
