=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,16 +4,12 @@
 set(ktrip_SRCS
     main.cpp
     controller.cpp
-    locationcachemodel.cpp
-    formatter.cpp
+    localizer.cpp
+    localizer.h
     resources.qrc
 )
 
 kconfig_add_kcfg_files(ktrip_SRCS ktripsettings.kcfgc GENERATE_MOC)
-
-if (ANDROID)
-    list(APPEND ktrip_SRCS androidutils.cpp)
-endif()
 
 add_executable(ktrip ${ktrip_SRCS})
 
@@ -23,10 +19,7 @@
     qml/BackendPage.qml
     qml/QueryPage.qml
     qml/ConnectionsPage.qml
-    qml/LocationQueryPage.qml
     qml/ConnectionDetailsPage.qml
-    qml/DatePickerButton.qml
-    qml/TimePickerButton.qml
     qml/DeparturesPage.qml
     qml/ConnectionHeading.qml
     DEPENDENCIES
@@ -45,6 +38,8 @@
     )
 
     kirigami_package_breeze_icons(ICONS
+        ${KIRIGAMI_ADDONS_ICONS}
+        ${KPUBLICTRANSPORT_ICONS}
         go-down-symbolic
         go-up-symbolic
         channel-secure-symbolic
@@ -63,6 +58,7 @@
         help-about
         license
         ktrip
+        reverse
     )
 
     ecm_add_android_apk(ktrip ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)
