=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_WITH_QT6=ON
+
+override_dh_auto_test:
+	# Disable unittest at build time
+	:
