## ktrip 25.08.2+p24.04+vstable+git20251015.1101

=== debian/changelog ===
ktrip (25.08.2+p24.04+vstable+git20251015.1101-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:01:56 +0000

ktrip (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:40:50 +0000
