=== debian/control ===
Source: ktrip
Section: kde
Priority: optional
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kitemmodels-dev,
               kf6-qqc2-desktop-style-dev,
               libkpublictransport-dev,
               pkg-kde-tools-neon,
               qml6-module-org-kde-kirigami-addons-datetime,
               qml6-module-org-kde-kitemmodels,
               qt6-base-dev,
               qt6-declarative-dev,
               reuse,
               zlib1g-dev
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/utilities/ktrip
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/kde/ktrip.git
Vcs-Browser: https://invent.kde.org/neon/kde/ktrip
Maintainer: Neon CI <neon@kde.org>

Package: ktrip
Architecture: any
Depends: qml6-module-org-kde-i18n-localedata,
         qml6-module-org-kde-kirigami-addons-datetime,
         qml6-module-org-kde-kpublictransport,
         ${misc:Depends},
         ${shlibs:Depends}
Description: public transport assistant
 It helps you navigate in public transport. It allows you to find journeys
 between specified locations, departures for a specific station and shows
 real-time delay and disruption information.
