## ktrip 25.08.2+p24.04+vstable+git20251021.0558

=== debian/changelog ===
ktrip (25.08.2+p24.04+vstable+git20251021.0558-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:58:52 +0000
