## ktrip 25.08.2+p24.04+vunstable+git20251015.1201

=== debian/changelog ===
ktrip (25.08.2+p24.04+vunstable+git20251015.1201-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:01:15 +0000
