=== debian/changelog ===
ktrip (25.08.2+p24.04+vunstable+git20251020.0406-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 04:06:37 +0000
